Package ghidra.app.util.bin.format.macos.cfm

# Class CFragResourceMember

java.lang.Object
ghidra.app.util.bin.format.macos.cfm.CFragResourceMember

All Implemented Interfaces:
  `StructConverter`

public class CFragResourceMember extends Object implements StructConverter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kNullCFragVersion`
  `static final int`
  `kWildcardCFragVersion`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CFragResourceMember(BinaryReader reader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchitecture()`
  `int`
  `getCurrentVersion()`
  `int`
  `getExtensionCount()`
  `int`
  `getLength()`
  `int`
  `getMemberSize()`
  `String`
  `getName()`
  `int`
  `getOffset()`
  `int`
  `getOldDefVersion()`
  `byte`
  `getUpdateLevel()`
  `CFragUsage`
  `getUsage()`
  `CFragUsage1Union`
  `getUUsage1()`
  `CFragUsage2Union`
  `getUUsage2()`
  `CFragWhere1Union`
  `getUWhere1()`
  `CFragWhere2Union`
  `getUWhere2()`
  `CFragLocatorKind`
  `getWhere()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kNullCFragVersion

    public static final int kNullCFragVersion
    See Also:
      - Constant Field Values

  - ### kWildcardCFragVersion

    public static final int kWildcardCFragVersion
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CFragResourceMember

    public CFragResourceMember(BinaryReader reader) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getArchitecture

    public String getArchitecture()

  - ### getUpdateLevel

    public byte getUpdateLevel()

  - ### getCurrentVersion

    public int getCurrentVersion()

  - ### getOldDefVersion

    public int getOldDefVersion()

  - ### getUUsage1

    public CFragUsage1Union getUUsage1()

  - ### getUUsage2

    public CFragUsage2Union getUUsage2()

  - ### getUsage

    public CFragUsage getUsage()

  - ### getWhere

    public CFragLocatorKind getWhere()

  - ### getOffset

    public int getOffset()

  - ### getLength

    public int getLength()

  - ### getUWhere1

    public CFragWhere1Union getUWhere1()

  - ### getUWhere2

    public CFragWhere2Union getUWhere2()

  - ### getExtensionCount

    public int getExtensionCount()

  - ### getMemberSize

    public int getMemberSize()

  - ### getName

    public String getName()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`